Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025970
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-03-12 11:342014-03-17 13:40
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisione96b7b4d4793
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojonalegriaesarte
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025970: Combo box for m_inoutline causing bad performance in RM Receipt Pick and Edit window

DescriptionCombo box for m_inoutline causing bad performance in RM Receipt Pick and Edit window. Log:

WARN
org.openbravo.client.application.window.FormInitializationComponent - Warning: In the
window RM Receipt Pick and Edit, in tab Pick / Edit lines the combo fields
inpmInoutlineId contain more than 1000 entries, and this could cause bad performance
in the application. Possible fixes include changing these columns from a combo into a
Selector, or adding a validation to reduce the number of entries in the combo.

Steps To Reproduce.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0065094)
hgbot (developer)
2014-03-12 13:20

Repository: erp/devel/pi
Changeset: e96b7b4d47931c48dbbec0dad4b27edf398e6cc6
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Mar 12 13:19:56 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e96b7b4d47931c48dbbec0dad4b27edf398e6cc6 [^]

fixes issue 25970: Combo box for m_inoutline causing
bad performance in RM Receipt Pick and Edit window

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0065118)
hudsonbot (developer)
2014-03-13 11:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ed77dba8a2e6 [^]
Maturity status: Test
(0065227)
jonalegriaesarte (reporter)
2014-03-17 13:40

Working fine

- Issue History
Date Modified Username Field Change
2014-03-12 11:34 caristu New Issue
2014-03-12 11:34 caristu Assigned To => caristu
2014-03-12 11:34 caristu Modules => Core
2014-03-12 11:34 caristu Triggers an Emergency Pack => No
2014-03-12 11:34 caristu Target Version => PR14Q2
2014-03-12 11:49 caristu Tag Attached: Performance
2014-03-12 13:20 hgbot Checkin
2014-03-12 13:20 hgbot Note Added: 0065094
2014-03-12 13:20 hgbot Status new => resolved
2014-03-12 13:20 hgbot Resolution open => fixed
2014-03-12 13:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e96b7b4d47931c48dbbec0dad4b27edf398e6cc6 [^]
2014-03-13 11:14 hudsonbot Checkin
2014-03-13 11:14 hudsonbot Note Added: 0065118
2014-03-17 13:40 jonalegriaesarte Review Assigned To => jonalegriaesarte
2014-03-17 13:40 jonalegriaesarte Note Added: 0065227
2014-03-17 13:40 jonalegriaesarte Status resolved => closed
2014-03-17 13:40 jonalegriaesarte Fixed in Version => PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker